> For the complete documentation index, see [llms.txt](https://docs.fortifiedid.se/access/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fortifiedid.se/access/key-components/authenticators/credential-validators/integrated-windows-login-iwa.md).

# Integrated Windows login, IWA

Used to leverage Windows login already done from a domain-connected client. Requires module AuthN to be deployed.

## Configuration

{% hint style="info" %}
**Authenticator type:** `IwaAuthentication`
{% endhint %}

Common Authenticator configuration can be found [here](/access/key-components/authenticators/common-configuration.md).

{% tabs %}
{% tab title="Properties" %}

<table data-full-width="true"><thead><tr><th>Name</th><th>Description</th><th>Default value</th><th data-type="checkbox">Mandatory</th></tr></thead><tbody><tr><td><code>package</code></td><td></td><td>Negotiate</td><td>false</td></tr><tr><td><code>error_url</code></td><td>Where to redirect the user if authentication fails.</td><td><code>N/A</code></td><td>false</td></tr><tr><td><code>custom_identifier</code></td><td>Tag used for event separation</td><td><code>N/A</code></td><td>false</td></tr></tbody></table>
{% endtab %}

{% tab title="Example" %}

```json
{
            "id": "iwa",
            "type": "IwaAuthentication",
            "config": {
              "base_path": "/saml/authn",
              "context_path": "/saml/authn/iwa"
            }
}
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
Property *base\_path* should not contain the full path when used in conjunction with the [Selector](/access/key-components/authenticators/flow-control/selector.md), instead, the full URI will be handled by the selector. The full path will be *base\_path + / + id*.
{% endhint %}

## Logging

Apart from system logging, event logging is done when starting, completing, and failing a transaction.

Event ids are:

* WEB\_100015("Authenticated using Integrated Windows Authentication")
  * IDENTIFIER (user trace id)
  * CUSTOMER\_IDENTIFIER (if configured)
  * SOURCE\_USER\_NAME (Windows username)
  * SOURCE\_ADDRESS (ip of the remote session)
  * AUTHENTICATOR\_IDENTIFIER (id and display name)
* WEB\_100016("Failed authentication using Integrated Windows Authentication")
  * IDENTIFIER (user trace id)
  * CUSTOMER\_IDENTIFIER (if configured)
  * SOURCE\_ADDRESS (ip of the remote session)
  * AUTHENTICATOR\_IDENTIFIER (id and display name)

## Data exposed to global state

After a user completes a transaction, the authenticator is marked as done. Data from the authentication response is then put into the global state replacing existing values:

* username

## Prerequisite

* Integrity must be running on a Windows server joined to the domain where IWA is to take place.
* Integrity must run using an actual domain account belonging to the same domain as the server is joined.
* Ensure that there is a DNS A record present for the host. Be sure the record is of A type.
* A SPN registration must be done connecting the DNS name, protocol & account. This is done using the command *setspn*:

```
setspn -s HTTP/webserver.example.com DOMAIN\ServiceAccount
setspn -s HTTPS/webserver.example.com DOMAIN\ServiceAccount
```

{% hint style="info" %}
Only HTTP or HTTPS is required depending on if HTTP traffic is encrypted or not.

Recommendation is that all communication is sent over HTTPS.
{% endhint %}

{% hint style="warning" %}
For testing on the same host, execute PowerShell:

*New-ItemProperty -Path "HKLM:\System\CurrentControlSet\Control\Lsa" -Name "DisableLoopbackCheck" -Value "1" -PropertyType DWORD*

This is NOT a recommended production setting. Only for testing.
{% endhint %}

## API

This authenticator has no UI


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fortifiedid.se/access/key-components/authenticators/credential-validators/integrated-windows-login-iwa.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
